import { encodeMethod } from '@zoltu/ethereum-abi-encoder';
import { keccak256 } from '@zoltu/ethereum-crypto';
import { FetchJsonRpc } from '@zoltu/ethereum-fetch-json-rpc';
export { FetchJsonRpc };
export class FetchDependencies {
    constructor(rpc) {
        this.rpc = rpc;
        this.call = async (to, methodSignature, parameters, value) => {
            return await this.rpc.offChainContractCall({ to, data: await encodeMethod(keccak256.hash, methodSignature, parameters), value });
        };
        this.submitTransaction = async (to, methodSignature, parameters, value) => {
            return await this.rpc.onChainContractCall({ to, data: await encodeMethod(keccak256.hash, methodSignature, parameters), value });
        };
    }
}
//# sourceMappingURL=index.js.map